var admobid = {};
if( /(android)/i.test(navigator.userAgent) ) { 
    admobid = { // for Android
        banner: 'ca-app-pub-7814316930362765/2133342133'
        ,interstitial: 'ca-app-pub-7814316930362765/3663997336'
    };
} else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
    admobid = { // for iOS
        banner: 'ca-app-pub-7814316930362765/5086808534'
        ,interstitial: 'ca-app-pub-7814316930362765/9570930132'
    };
} else {
	/*
    admobid = { // for Windows Phone
        banner: 'ca-app-pub-6869992474017983/8878394753'
        ,interstitial: 'ca-app-pub-6869992474017983/1355127956'
    };
	*/
}

if(( /(ipad|iphone|ipod|android|windows phone)/i.test(navigator.userAgent) )) {
    document.addEventListener('deviceready', initApp, false);
} else {
    initApp();
}



function initApp() {
    if (! AdMob ) { return; 
	} else {

		AdMob.createBanner( {
			adId: admobid.banner, 
			isTesting: true,
			overlap: false, 
			offsetTopBar: false, 
			position: AdMob.AD_POSITION.TOP_CENTER,
			bgColor: '#EB7303;'
		} );
		
		AdMob.prepareInterstitial({
			adId: admobid.interstitial,
			autoShow: true
		});
	}
}