$(document).ready(function(){
	//Ausblenden der Erfolgsmeldung
	$('#feed_sent').hide();
	
	
	
	//Absenden des Formulars
	$('#feed_submit').live('click', function(){
		var errors = '';
		//Daten holen
		var name = $('#feed_name').val();
		var email = $('#feed_email').val();
		var design = $('#feed_design').val();
		var aufbau = $('#feed_aufbau').val();
		var kommentar = $('#feed_kommentar').val();
		
		if(name == ''){
			errors += "Bitte geben Sie einen Namen ein<br>";
		}
		if(email == ''){
			errors += "Bitte geben Sie eine g&uuml;ltige E-Mailadresse an<br>";
		}
		
		if(errors.length != 0){
			
			$('#feed_error').html(errors);
			return 1;
			
		} else {
			
			//Formular per POST abschicken
			$.post(Config.serverFeedback, {
				name: name,
				email: email,
				design: design,
				aufbau: aufbau,
				kommentar: kommentar
			}, function(data){
				if(data=='success'){
					//Eingabefelder ausblenden
					$('#feed_verfassen').hide();
					
					//Felder leeren
					$('#feed_name').val('');
					$('#feed_email').val('');
					$('#feed_design').val('');
					$('#feed_aufbau').val('');
					$('#feed_kommentar').val('');
					
					//Erffolgsmeldung anzeigen
					$('#feed_sent').show();
				} else {
					$('#feed_error').html('FEHLER BEIM SENDEN: Bitte versuchen Sie es sp&auml;ter noch einmal.<br>Eventuell haben Sie zur Zeit eine schlechte Internetverbindung');
				}
			});
			
		}		
		
	});
	
	
});
