window.onload = function ()
{
    if (typeof history.pushState === "function")
    {
        history.pushState("jibberish", null, null);
        window.onpopstate = function ()
        {
            history.pushState('newjibberish', null, null);
            //alert('back button pressed');
            // This works in Chrome and FireFox but not in IE
        };
    }
}

var open = function(e) {

    //Variablen holen
    var v = $(this).attr("v_id");
    var t = $(this).attr("t_id");
    var w = $(this).attr("w_id");
    var z = $(this).attr("z_id");
    var o = $(this).attr("o_id");

    //Werte in sessionStorage und History speichern
    SHSave(v,t,w,z,o);

    //Seite wechseln
    $.mobile.changePage('#main', { allowSamePageTransition: true });
}

var SHSave = function(v,t,w,z,o) {

	//console.log('v:'+v+'--t:'+t+'--w:'+w+'--z:'+z+'--o:'+o); 

    //Werte in sessionStorage.history speichern
    if(typeof(sessionStorage.history)=='undefined'){
        sessionStorage.history = ' {verband:'+v+', type:'+t+', work:'+w+'}';
    } else {
		//Hier werden doppelte Werte abgefangen
		var newEntry = '{verband:'+v+', type:'+t+', work:'+w+'}'
        sessionStorage.history = (sessionStorage.history + ' ' + newEntry).replace(newEntry + ' ' + newEntry, newEntry);
    }

	//console.log("SHSave: " + sessionStorage.history);
	
    //Werte in sessionStorage speichern
    sessionStorage.verbandID += v;
    sessionStorage.type = t;
    sessionStorage.work_id = w;

    if(z != null || (typeof(z)!='undefined') ) {
        SHSavePathToSession(z,'PathStr');
    }
    if(o != null || (typeof(o)!='undefined') ) {
        SHSavePathToSession(o,'PathId');
    }
}

var SHSavePathToSession = function(i,a) {

    if(a == 'PathId') {
        if(i==null || (typeof(i)=='undefined') ) {
            // Wenn Start Seite aufgerufen wird
            sessionStorage.removeItem('PathId');
        } else {
            if(typeof(sessionStorage.PathId)=='undefined') {
                // Wenn leer ist
                sessionStorage.PathId = i;
            } else {
                // Wenn schon was da ist
                sessionStorage.PathId = i;
            }
        }
    } else {
        if(i==null || (typeof(i)=='undefined') ) {
            // Wenn Start Seite aufgerufen wird
            sessionStorage.removeItem('PathStr');
        } else {
            if(typeof(sessionStorage.PathStr)=='undefined') {
                // Wenn leer ist
                sessionStorage.PathStr = i;
            } else {
                // Wenn schon was da ist
                sessionStorage.PathStr = i;
            }
        }
    }
}

var setHistoryToSession = function() {

    //Werte holen
    var currentHistory = sessionStorage.history;

    //Zhlt die Lnge der History und der aktuellen Position
    var lengthOfHistory = currentHistory.length;
    var lengthToCurrentPage = currentHistory.lastIndexOf('{verband:');

    //Ermittelt String der aktuellen Position
    var currentHistoryPosition = currentHistory.substr(lengthToCurrentPage);

    //Lnge der aktuellen Position (+1 nimmt das Leerzeichen mit)
    var lenghtOfCurrentPage = currentHistoryPosition.length+1;

    //Ermittelt die neue History
    var newHistory = currentHistory.substring(0,lengthOfHistory-lenghtOfCurrentPage);

	//console.log("setHistoryToSession 1: " + newHistory);
    sessionStorage.history = newHistory;

    //PathStr und ID neu setzten
    createNewPathString();

    if(newHistory != "") {

        //Zhlt die Lnge der neuen Position
        var lengthToNewPage = newHistory.lastIndexOf('{verband:');

		//console.log("setHistoryToSession 2: " + newHistory.substr(lengthToNewPage));
        //Ermittelt String der neuen Position und breitet diesen fr Werte vor;
        var saparateHistoryValueObject = prepareHistoryPosition( newHistory.substr(lengthToNewPage) );

        //Speichert die einzelnen Werte
        saveSeparatValueToSession( saparateHistoryValueObject );
		
    }
}

var createNewPathString = function() {

    var pathStr = sessionStorage.PathStr;
    var pathId = sessionStorage.PathId;

    if(pathStr != "" && typeof(pathStr)!='undefined' ) {

        var strPos = pathStr.lastIndexOf('|');
        var newPathStr = pathStr.substr(0,strPos);

        sessionStorage.PathStr = newPathStr;
    }

    if(pathId != "" && typeof(pathId)!='undefined' ) {

        var idPos = pathId.lastIndexOf('|');
        var newPathId = pathId.substr(0,idPos);

        sessionStorage.PathId = newPathId;
    }
}

var saveSeparatValueToSession = function(e) {

    sessionStorage.verbandID = e[0].replace("verband:","");
    sessionStorage.type = e[1].replace("type:","");
    sessionStorage.work_id = e[2].replace("work:","");
}

var prepareHistoryPosition = function(e) {

    var applicable = e.replace('{','');
    applicable = applicable.replace('}','');
    applicable = applicable.replace(/ /g,'');
    //applicable = applicable.replace(' ',''); //Wei nicht warum man das bei JS zweimal machen muss ???

    applicable = applicable.split(",");

    return applicable;
}

var openStartPage = function() {

    //Seite wechseln
    $.mobile.changePage('#index', { allowSamePageTransition: true });
}

var openFavoritePage = function() {

    //Seite wechseln
    $.mobile.changePage('#fav', { allowSamePageTransition: true });
}

var openFeedbackPage = function() {

    //Seite wechseln
    $.mobile.changePage('#feedback', { allowSamePageTransition: true });
}

var openKontaktPage = function() {

    //Seite wechseln
    $.mobile.changePage('#kontakt', { allowSamePageTransition: true });
}

var openImpressumPage = function() {
    //Seite wechseln
    $.mobile.changePage('#impressum', { allowSamePageTransition: true });
}


var openClearedStartPage = function() {

    //History aufrumen und Seiten relevante Session-Eintrge lschen
    clearSessionStorage();

    //Seite wechseln
    $.mobile.changePage('#index', { allowSamePageTransition: true });
}

var clearSessionStorage = function() {

    sessionStorage.removeItem("history");
    sessionStorage.removeItem("verbandID");
    sessionStorage.removeItem("type");
    sessionStorage.removeItem("work_id");
    sessionStorage.removeItem("PathStr");
    sessionStorage.removeItem("PathId");
}


var moveToLinkRef = function(v,t,w,z,o) {

        //Werte in sessionStorage und History speichern
        SHSave(v,t,w,z,o);

        //Seite wechseln
        $.mobile.changePage('#main', { allowSamePageTransition: true });
}



//Aufruf der Startseite
var moveToStart = function() {

    //Werte in sessionStorage und History speichern
    SHSave("start","start","start",null);

    //Seite wechseln
    //$.mobile.changePage('#index', { transition: "slide" });
	$.mobile.changePage( "#index", {
			  transition: "slide",
			  reverse: true,
			  changeHash: false,
			  reloadPage: true
		});
}


//Aufruf der Favoritenseite
var moveToFavorite = function() {

    //Werte in sessionStorage und History speichern
    SHSave("fav","fav","fav",null);

    //Seite wechseln
    $.mobile.changePage('#fav', { transition: "slide" });
}




//Aufruf der Feedback
var moveToFeedback = function() {

    //Werte in sessionStorage und History speichern
    SHSave("fed","fed","fed",null);

    //Seite wechseln
    $.mobile.changePage('#feedback', { transition: "slide" });
}


//Aufruf der Feedback
var moveToKontakt = function() {

    //Werte in sessionStorage und History speichern
    SHSave("kon","kon","kon",null);

    //Seite wechseln
    $.mobile.changePage('#kontakt', { transition: "slide" });
}



//Aufruf der Feedback
var moveToImpressum = function() {

    //Werte in sessionStorage und History speichern
    SHSave("imp","imp","imp",null);

	//Versionsnummer setzen
	try {
		$.get('config.xml?ver='+HB.getDate(),{},function(xml){
			$('#divVersion').html("ErgebnisseOnline Version: " + $("widget",xml).attr("version"));
		});
	} catch (e) {}
	
    //Seite wechseln
    $.mobile.changePage('#impressum', { transition: "slide" });
}


var moveToGamePopUp = function(id)
{
    //Werte in sessionStorage und History speichern
    //SHSave('popup',null,null,null);

    //Seite wechseln
    $('#popupInfo_'+id).popup('open')
}



function backButtonClick() {

	if(sessionStorage.history == "" || typeof(sessionStorage.history)=='undefined' ) {} else {
		
		//ID's von vorheriger Seite holen und im aktuellen sessionStorage speichern
		setHistoryToSession();

		reloadButtonClick()
	}
} //backButtonClick
	

function reloadButtonClick() {


	//Abfragen ob
	if(sessionStorage.history == "" || typeof(sessionStorage.history)=='undefined' ) {

		openClearedStartPage();

	} else if(sessionStorage.verbandID == "start") {
		
		openStartPage();

	} else if(sessionStorage.verbandID == "fav") {
		
		openFavoritePage();

	} else if(sessionStorage.verbandID == "fed") {
		
		openFeedbackPage();

	} else if(sessionStorage.verbandID == "kon") {
		
		openKontaktPage();

	} else if(sessionStorage.verbandID == "imp") {
		
		openImpressumPage();

	} else {
		
		//Seite wechseln
		$.mobile.changePage('#main', { allowSamePageTransition: true });
	}

} //reloadButtonClick
	

$(document).ready(function() {
//Document start;

    /**
     * Funktionen fr das Klicken auf einen Link
     *
     */
    $('.aLink').live('click', function(event) {

        //Variablen holen
        var v = $(this).attr("v_id");
        var t = $(this).attr("t_id");
        var w = $(this).attr("w_id");
        var z = $(this).attr("z_id");
        var o = $(this).attr("o_id");

		moveToLinkRef(v,t,w,z,o);

		/*
        //Werte in sessionStorage und History speichern
        SHSave(v,t,w,z,o);

        //Seite wechseln
        $.mobile.changePage('#main', { allowSamePageTransition: true });
		*/
    });

    $('.impButton').live('click', function(event) {

        //Speichert History und wechselt auf Feedbackseite
        moveToImpressum();

    });

    $('.konButton').live('click', function(event) {

        //Speichert History und wechselt auf Feedbackseite
        moveToKontakt();

    });
    $('.fedButton').live('click', function(event) {

        //Speichert History und wechselt auf Feedbackseite
        moveToFeedback();

    });
    $('.favButton').live('click', function(event) {

        //Speichert History und wechselt auf Favoritenseite
        moveToFavorite();

    });

    $('.homeButton').live('click', function(event) {

        //Speichert History und wechselt auf Startseite
        moveToStart();

    });

    /**
     * Funktionen fr das Klicken auf zurck-Button
     *
     */
    $('.backButton').click(backButtonClick);


	/**
     * Funktionen fr das Klicken auf reload-Button
     *
     */
    $('.reloadButton').click(reloadButtonClick);
	

	
    /**
     * Weitere Konfiguration fr Links und History
     *
     */


    if(typeof(sessionStorage.verbandID)=='undefined' || sessionStorage.verbandID==""){

        //Fngt ab ob die Seite via Link aufgerufen wird
        if(typeof history.state != 'undefined' && history.state.hash.indexOf("?") > 1) {

            //Ermittelt die Lnge der einzelnen Strings
            var lengthOfHash = history.state.hash.length;
            var lengthToQuestionMark = history.state.hash.indexOf("?");

            //Ermittelt den "Parameter" String (+1 entfernt ?)
            var URLParameter = history.state.hash.substr(lengthToQuestionMark+1);

            var saparateURLValueObject = URLParameter.split(";");

            //Speichert die einzelnen Werte
            saveSeparatValueToSession( saparateURLValueObject );

            //Seite wechseln
            $.mobile.changePage('#main', { allowSamePageTransition: true });

        } else {

            //Wenn kein Verband gesetzt ist, oder Startseite in History steht gelangt man auf die Startseite
            $.mobile.changePage( "#index", {
                transition: "slide",
                reverse: true
            });
        }
    }



    /**
     * Aufruf von meine Liga
     *
     */
    $('.meineLiga').live('click', function(event) {

        if(typeof(localStorage.meineLiga)=='undefined') {
            alert('Sie haben noch keine Liga gespeichert.');
        } else {

            //Variablen holen
            var v = localStorage.meineLiga;
            var t = 'class';
            var w = localStorage.meineLiga;
            var z = '|org'; //TODO
            var o = '0'; //TODO

            //Werte in sessionStorage und History speichern
            SHSave(v,t,w,z,o);

            //Seite wechseln
            $.mobile.changePage('#main', { allowSamePageTransition: true });
        }

    });

	
	/**
     * Aufruf von mein Verein
     *
     */
    $('.meinVerein').live('click', function(event) {

        if(typeof(localStorage.meinVerein)=='undefined') {
            alert('Sie haben noch keinen Verein gespeichert.');
			$.mobile.changePage('#vereinssuche', { allowSamePageTransition: true });
        } else {
            //Variablen holen
            var v = localStorage.meinVerein;
            var t = 'club';
            var w = localStorage.meinVerein;
            var z = '|org'; //TODO
            var o = '0'; //TODO

            //Werte in sessionStorage und History speichern
            SHSave(v,t,w,z,o);

            //Seite wechseln
            $.mobile.changePage('#main', { allowSamePageTransition: true });
        }

    });
	

    /**
     * Aufruf Suchseite
     *
     */
    $('.searchLink').live('click', function(event) {

        //$.mobile.loadingMessageTextVisible = true;
        $.mobile.loading('show', {theme:"a", text:"Bitte warten...", textonly:false, textVisible: true});

        var out = '<br /><ul data-role="listview"><li data-role="list-divider">Suchbegriff</li></ul><br />'+
            '<label for="search_nr">Suchbegriff</label>'+
            '<input name="search_nr" id="search_nr" type="text" />'+
            '<a data-role="button" class="ui-disabled" id="search_submit">Suchen</a>';

        if ($.mobile.activePage.attr('id') == 'main' ) {
            $('#mainJSON').html('');
            $('#mainJSON').html(out);
            //console.debug(out);
            $('#mainJSON').trigger('create');
        } else {
            $('.mainJSONdummy').html('');
            //Fr nicht"main"-Seiten
            $('.mainJSONdummy').html(out);
            //console.debug(out);
            $('.mainJSONdummy').trigger('create');
        }

        $('page').listview('refresh');



        $.mobile.loading('hide');

    });


//Document end;
});


$( '#index' ).live( 'pageshow',function(e)
{
    HB.sessionRemove(['PathStr', 'verbandID']);
});




