/**
 * Regelt die Standard Seiten mit Ligen, Bezirken und Staffeln usw.
 */
$( '#main' ).live( 'pageshow',function()
{
    /* STANDARD FUNKTIONEN FR DIESEN BEREICH START
     * ------------------------------------------- */
     /**
     * Generiert den Button um einen Favoriten zu ergnzen
     * @param id
     * @param name
     * @returns {string}
     */
    function doButton(id,name)
    {
        var favoriten = typeof localStorage.fav !== 'undefined' ? localStorage.fav : '';
        if(favoriten.indexOf('{work_id: '+id+',') == -1) {
                return '<a data-role="button" class="favSave" fav_id='+id+' fav_name="'+name+'" data-icon="plus" data-inline="true" data-iconpos="notext" data-theme="b"></a>'+
                        '<a style="display:none;" data-role="button" class="favDeleteOnRealPage" fav_id='+id+' fav_name="'+name+'" data-icon="check" data-inline="true" data-iconpos="notext" data-theme="b"></a>';
        } else {
                return '<a style="display:none;" data-role="button" class="favSave" fav_id='+id+' fav_name="'+name+'" data-icon="plus" data-inline="true" data-iconpos="notext" data-theme="b"></a>'+
                        '<a data-role="button" class="favDeleteOnRealPage" fav_id='+id+' fav_name="'+name+'" data-icon="check" data-inline="true" data-iconpos="notext" data-theme="b"></a>';
        }
    }

    /**
     * Generiert den Button um auf "meine Liga" zu klicken
     * @param id
     * @returns {string}
     */
    function doLigaButton(id)
    {
	 /*
      * var meineLiga = localStorage.meineLiga;
      * if(id == meineLiga) return '';
      *  return '<a data-role="button" class="setToClub" mL_id='+id+' data-icon="check" data-mini="true" data-iconpos="right" data-inline="true" data-theme="b">meine Liga</a>';
	  */
	  return '';
    }
    /* -------------------------------------------
     * STANDARD FUNKTIONEN FR DIESEN BEREICH ENDE */



    /* BEGIN DER SEITENSTRUCKTUR GENERIERUNG
    * ---------------------------------------*/

    var id = sessionStorage.id;
	var verbandID = sessionStorage.verbandID;
	var type = sessionStorage.type;
	var next_type = sessionStorage.type;
	var work = sessionStorage.work_id;

    var PathStr = typeof sessionStorage.PathStr !== 'undefined' ? sessionStorage.PathStr : '';
    var PathId = typeof sessionStorage.PathId !== 'undefined' ? sessionStorage.PathId : '|' + work;
	var errors = '';

	//Verndert die URL um Seite zu verlinken
    if(history.replaceState)
	    history.replaceState(null, null,'#main?'+verbandID+';'+type+';'+work);

	if(typeof(verbandID)=='undefined'){
		//Wenn Verband ID fehlt -> Raus auf Startseite
		$.mobile.changePage( "#index", {
			  transition: "slide",
			  reverse: true,
			  changeHash: false
		});
	}
	else if(type != 'class' && type != 'club') {

        HB.showLoading();

		$.getJSON(Config.server,
				{
					format: "json",
					cmd : 'data',
					lvTypePathStr : PathStr,
					lvIDPathStr : PathId,
					lvTypeNext : type,
					lvIDNext : work
				},
				function(data){

			$.each(data, function(i,item){

				lvType = item.lvTypePathStr;
				lvId = item.lvIDPathStr;
				lvLabel = item.lvTypeLabelStr;
				inHalt= item.dataList;

				errorId = item.errCode;

			});

			// PathStr und PathID Setzen
			PathStr = lvType;
			PathId = lvId;


			//var vorbereiten
			var out = '';
			if(type == 'org' || type == 'classList'){
				var vor = '<br><ul data-role="listview">';
				var nach = '</ul>';
			}
			else {
				var vor = '';
				var nach = '';
			}

			if(type == 'class') {
				out += '<h2>Ergebnisse</h2><div data-role="controlgroup">';
			} else 
			if(inHalt.length == 0){ out += '<ul data-role="listview"><li data-role="list-divider">Keine Daten vorhanden</li></ul>'; }

			$.each(inHalt, function(i,item){


				//Eigentliche Inhalte verarbeiten

					//Wenn type == 'org' || type == 'clasList', dann ausgabe der navigation
					if(type == 'org' || type == 'classList'){

						if(PathStr != "") {
							var pathStrVar = 'z_id="' +PathStr+ '"';
						} else {
							var pathStrVar = "";
						}
						if(PathId != "") {
							var pathIdVar = ' o_id="' +PathId+ '"';
						} else {
							var pathIdVar = " ";
						}

						out += '<li><a class="aLink"' + pathIdVar + '' + pathStrVar + 'v_id="' + lvType + '" t_id="' + item.lvTypeNext + '" w_id="' + item.lvIDNext + '">' + item.levelTypeLabel + '</a></li>';

					}
					//Wenn type == class, dann ausgabe der navigation
					else if(type == 'class'){
						//Previews
						if(typeof(item)!='undefined'){
								out += '<a data-role="button" data-mini="true" ><table width="90%"><tr><td width="30%">' +item.gDate+ '<br>' + item.gTime + ' Uhr</td><td width="60%" style="text-align: left;">' + item.gHomeTeam + '<br>' + item.gGuestTeam + '</td><td width="10%">' + item.gHomeGoals + ' : ' + item.gGuestGoals + '</td></tr></table></a>';
						}
						//Ergebnisse
						if(typeof(item.ergebnisse)!='undefined'){

							out += '<h2>Ergebnisse</h2><div data-role="controlgroup">';

							$.each(item.ergebnisse, function(j, spiel){
								out += '<a onclick="alert(\'PopErgebnis\')" data-role="button" data-mini="true" ><table width="90%"><tr><td width="30%">' +spiel.datum+ '<br>' + spiel.uhrzeit + ' Uhr</td><td width="60%" style="text-align: left;">' + spiel.team1 + '<br>' + spiel.team2 + '</td><td width="10%">' + spiel.team1_punkte + ' : ' + spiel.team2_punkte + '</td></tr></table></a>';
							});

							out += '</div>';
						}

						//Tabelle
						if(typeof(item.tabelle)!='undefined'){
							out += '<h2>Tabelle</h2>'+
									'<table class="ergebnistabelle">'+
									'<tr><th></th><th>Verein</th><th>Tore</th><th>Pkte</th></tr>';

							$.each(item.tabelle, function(j, zeile){
								out += '<tr><td>' +zeile.platz+ '&nbsp;&nbsp;</td><td><a href="#verein" onclick="sessionStorage.verein=\''+zeile.team+'\';">' +zeile.team+ '</a></td><td>' +zeile.tore+ '</td><td>' +zeile.punkte+ '</td></tr>';
							});
							out += '</table>';
						}

						//Vorschau
						if(typeof(item.vorschau)!='undefined'){

							out += '<h2>Vorschau</h2><div data-role="controlgroup">';
							$.each(item.vorschau, function(j, spiel){

								out += '<a href=# data-role="button" data-mini="true" ><table width="90%"><tr><td colspan="3"></td></tr><tr><td width="20%">' +spiel.datum+ '<br>' +spiel.uhrzeit+ ' Uhr</td><td width="80%" style="text-align: left;">' +spiel.team1+ '<br>' +spiel.team2+ '</td></tr></table></a>';

							});
							out += '</div><br><a onclick="sessionStorage.verbandID=' + verband + ';sessionStorage.type=\'spielplan\';sessionStorage.work_id=' + item.id + ';open();" data-role="button" data-icon="info" data-iconpos="left"  data-transition="slide">Spielplan</a>';
						}

					}
					else if(type == 'club'){
						//Previews
						if(typeof(item)!='undefined'){
							out += '<h2>Spiel&uuml;bersicht</h2><div data-role="controlgroup">';

							$.each(item, function(j, item){
								out += '<a onclick="alert(\'PopErgebnis\')" data-role="button" data-mini="true" ><table width="90%"><tr><td width="30%">' +item.datum+ '<br>' + item.uhrzeit + ' Uhr</td><td width="60%" style="text-align: left;">' + item.team1 + '<br>' + item.team2 + '</td><td width="10%">' + item.team1_punkte + ' : ' + item.team2_punkte + '</td></tr></table></a>';
							});

							out += '</div>';

						}
					}
					else if(type == 'spielplan'){

						out += '<div style="font-size: 10pt;"><ul data-role="listview">';
						$.each(item.spielplan, function(k, plan){

							out += '<li><table width="98%"><tr><td width="20%">'+ plan.datum + '<br>' + plan.uhrzeit + '</td><td width="70%">' + plan.team1 + '<br>' + plan.team2 + '</td><td width="10%" style="text-align: center;">' + plan.team1_punkte + '<br>' + plan.team2_punkte + '</td><tr><td colspan=4 align="center"><b>'+plan.team1_punkte+' : '+plan.team2_punkte+' ( '+plan.team1_halbzeit+' : '+plan.team2_punkte+' )</b></td></tr></tr><tr><td colspan="3" align="center"><i>Unter den Linden</i></td></tr></table></li>';

						});
						out += '</ul></div>';
					}
					else {
						out = 'Leider ist ein Fehler aufgetreten';
					}
			});

			if(type == 'class') {
				out += '</div>';
			}
                    HB.createListview('#mainJSON', vor+out+nach);
                    HB.stopLoading();
		});

	} else if(type == 'class') {

        HB.showLoading();

	    var out = "";

		//Tabelle
		$.getJSON(Config.server,
				{
					format: "json",
					cmd : 'data',
					lvTypePathStr : PathStr,
					lvIDPathStr : PathId,
					lvTypeNext : type,
					lvIDNext : work,
					subType : 'actualView'
				}, function(data) {

				$.each(data, function(i,item){


					inHaltErgebnisse = item.dataList[0];
					inHalt = HB.getTableData(item.dataList);
					inHaltVorschau = item.dataList[2];

					vor = '<ul data-role="listview"><li data-role="list-divider" data-theme="b">'+ item.lvTypeLabelStr +'</li></ul><br />Favorit ' + doButton(work,item.lvTypeLabelStr) + ' &nbsp; &nbsp;' + doLigaButton(work) + '<br />';
				});

                // Default Parameter abfangen
                inHaltErgebnisse = HB.anArray(inHaltErgebnisse);
                inHalt = HB.anArray(inHalt);
                inHaltVorschau = HB.anArray(inHaltVorschau);



                /* ERGEBNISSE GENERIEREN START
                 * -------------------------- */
                out += '<br /><br /><ul data-role="listview"><li data-role="list-divider">Ergebnisse</li>';

                if(typeof inHaltErgebnisse[0] !== 'undefined') {
                    $.each(inHaltErgebnisse, function(i,spiel) {
							out	+=	'<a onclick="moveToGamePopUp(' + spiel.gID + ')" data-role="button" data-mini="true">'
								+   '<table width="95%">'
								+	'<tr>'
								+	'<td width="75%" align="left"><span style="font-weight: lighter;">' + spiel.gDate + ' ' +spiel.gTime + '</span>'
								+ 	'<br>' + spiel.gHomeTeam + ' - ' + spiel.gGuestTeam + '</td>'
								+	'<td width="15%" align="center">'+ HB.formatResultGame(spiel, 'ende')
								+ 	'<br><span style="color: #E0E0E0; font-weight: lighter;">' + HB.formatResultGame(spiel, 'halb') + '</span></td>'
								+	'</tr></table>'							
								+	'</a>'						

								+	'<div style="padding: 10px;" class="ui-content" data-theme="b" data-role="popup" data-dismissible="false" id="popupInfo_' + spiel.gID + '" >'
								+	'		<a href="#main" data-role="button" data-icon="delete" data-iconpos="notext" class="ui-btn-right">Close</a>'
								+	'		' + HB.makeHalle(spiel).replace(/\\n/g,"<br>")
								//+	'		<br><br>'
								//+	'		<a onclick="moveToLinkRef(\'|org|\',\'class\',\'' +spiel.gClassID+ '\',\'|org|\',\'0\');" class="aLink ui-link-inherit" data-inline="true" data-role="button" data-transition="slide" data-icon="bars" data-iconpos="left" o_id="0" z_id="|org|" v_id="|org|" t_id="class" w_id="' +spiel.gClassID+ '" >Liga</a>'
								+	'</div>	';						
                    });
                }
                else {
                    out += '<li>Keine Daten vorhanden</li>';
                }
				out += '</ul>';
                /* ----------------------------
                 * ERGEBNISSE GENERIEREN ENDE */


                /* ********************************** */



                /** PLATZHALTER */
                out += '<br /><br /><br />';
                /** -----------------------*/


                /* ********************************** */


                /* TABELLE GENERIEREN START
                 * ----------------------- */
                if(typeof inHalt[0] !== 'undefined') {
                    out += '<ul data-role="listview"><li data-role="list-divider">Tabelle</li></ul><br /><table class="ergebnistabelle">'+
                        '<tr><th></th><th>Mannschaft</th><th>Sp.</th><th>Tore</th><th>Punkte</th>';
                }
                else {
                    out += '<ul data-role="listview"><li data-role="list-divider">Tabelle</li><li>Keine Daten vorhanden</li></ul>';
                }

                /**
                 * Foreach Werte aus Tabelle durchgehen und HTML generieren
                 */
				$.each(inHalt, function(i,zeile){
                    out += '<tr><td>' +zeile.tabScore+ '&nbsp;&nbsp;</td><td><a href="#verein" onclick="sessionStorage.verein=\''+zeile.tabTeamname+'\';">' +zeile.tabTeamname+ '</a></td><td>' +zeile.numPlayedGames+ '</td>';
					if (window.innerWidth < 350) {
						out += '<td>'+ ('+'+(zeile.numGoalsShot-zeile.numGoalsGot)).replace("+-","-") +'</td>';
					} else {
						out += '<td>'+ HB.formatResult(zeile.numGoalsShot, zeile.numGoalsGot, '', '') +'</td>';
					}
					out += '<td>'+ HB.formatResult(zeile.pointsPlus, zeile.pointsMinus, '', '') +'</td></tr>';
                });

                if(typeof inHalt[0] !== 'undefined') out += '</table><br />';
                /* ------------------------
                 * TABELLE GENERIEREN ENDE */


                /* ********************************** */


                /* VORSCHAU GENERIEREN START
                 * ----------------------- */
                out += '<br /><br /><ul data-role="listview"><li data-role="list-divider">Vorschau</li>';

                if(typeof inHaltVorschau[0] !== 'undefined') {
                    /**
                     * Foreach Werte aus Vorschau durchgehen und HTML generieren
                     */
                    $.each(inHaltVorschau, function(i,spiel){
						out	+=	'<a onclick="moveToGamePopUp(' + spiel.gID + ')" data-role="button" data-mini="true">'
							+   '<table width="95%">'
							+	'<tr>'
							+	'<td width="75%" align="left"><span style="font-weight: lighter;">' + spiel.gDate + ' ' +spiel.gTime + '</span>'
							+ 	'<br>' + spiel.gHomeTeam + ' - ' + spiel.gGuestTeam + '</td>'
							+	'<td width="15%" align="center">'+ HB.formatResultGame(spiel, 'ende') 
							+ 	'<br><span style="color: #E0E0E0; font-weight: lighter;">' + HB.formatResultGame(spiel, 'halb')  + '</span></td>'
							+	'</tr></table>'							
							+	'</a>'						

							+	'<div style="padding: 10px;" class="ui-content" data-theme="b" data-role="popup" data-dismissible="false" id="popupInfo_' + spiel.gID + '" >'
							+	'		<a href="#main" data-role="button" data-icon="delete" data-iconpos="notext" class="ui-btn-right">Close</a>'
							+	'		' + HB.makeHalle(spiel).replace(/\\n/g,"<br>")
							//+	'		<br><br>'
							//+	'		<a onclick="moveToLinkRef(\'|org|\',\'class\',\'' +spiel.gClassID+ '\',\'|org|\',\'0\');" class="aLink ui-link-inherit" data-inline="true" data-role="button" data-transition="slide" data-icon="bars" data-iconpos="left" o_id="0" z_id="|org|" v_id="|org|" t_id="class" w_id="' +spiel.gClassID+ '" >Liga</a>'
							+	'</div>	';	
					});
                }
                else {
                    out += '<li>Keine Daten vorhanden</li>';
                }
                out += '</ul>';
                /* ------------------------
                 * VORSCHAU GENERIEREN ENDE */


                /* ********************************** */


                /** HTML AUSGABE ERSTELLEN */
                HB.createListview('#mainJSON', vor+out);
                HB.stopLoading();
                /** ******************************** */

				});

	} else if(type == 'club') {
		
		HB.showLoading();

	    var out = "";

		//Tabelle
		$.getJSON(Config.server,
				{
					format: "json",
					cmd : 'data',
					lvTypePathStr : PathStr,
					lvIDPathStr : PathId,
					lvTypeNext : type,
					lvIDNext : work,
					subType : 'actualView'
				}, function(data) {

				vor = '';
				out = '';
				
				$.each(data, function(i,item){
					inHaltErgebnisse = item.dataList;
					vor = '<ul data-role="listview"><li data-role="list-divider" data-theme="b">Mein Verein'+ item.lvTypeLabelStr +'</li></ul><br />';
					out += item.lvTypeLabelStr.replace('\/','') + ' <a href="#vereinssuche" data-inline="true" data-role="button" data-transition="slide" data-icon="edit" data-iconpos="notext"></a><br />';
				});
				
				inHaltErgebnisse.sort(SpielSort);
				
				
				out += '<br /><ul data-role="listview"><li data-role="list-divider">Spiele</li>'

				


                /* ERGEBNISSE GENERIEREN START
                 * -------------------------- */
                ;

				
                if(typeof inHaltErgebnisse[0] !== 'undefined') {
					out += '';
					var aID = new Array();
					inHaltErgebnisse.sort(SpielSort);
					$.each(inHaltErgebnisse, function(i,spiel) {
					  	if (typeof spiel === 'null' || typeof spiel === 'undefined' || spiel === null || spiel === undefined || aID[spiel.gID] == 1 || spiel.gHomeTeam === undefined) {
							
							out	+=	'<a onclick="moveToGamePopUp(' + spiel.class + ')" data-role="button" data-mini="true">'
							    +   '<table width="95%">'
								+	'<tr>'
								+	'<td width="100%" align="left">' + spiel.class_sname 
								+	'<br />spielfrei'
								+ 	'</td>'
								+	'</tr></table>'							
								+	'</a>'						

								+	'<div style="padding: 10px;" class="ui-content" data-theme="b" data-role="popup" data-dismissible="false" id="popupInfo_' + spiel.class + '" >'
								+	'		<a href="#main" data-role="button" data-icon="delete" data-iconpos="notext" class="ui-btn-right">Close</a>'
								+	'		<br>F&uuml;r die Mannschaft in der Liga ' +spiel.class_sname+ ' gibt es aktuell kein Spiel.'
								+	'		<br><br>'
								+	'		<a onclick="moveToLinkRef(\'|org|\',\'class\',\'' +spiel.class+ '\',\'|org|\',\'0\');" class="aLink ui-link-inherit" data-inline="true" data-role="button" data-transition="slide" data-icon="bars" data-iconpos="left" o_id="0" z_id="|org|" v_id="|org|" t_id="class" w_id="' +spiel.class+ '" >Liga</a>'
								+	'</div>	';
							
						} else {
							out	+=	'<a onclick="moveToGamePopUp(' + spiel.gID + ')" data-role="button" data-mini="true">'
							    +   '<table width="95%">'
								+	'<tr>'
								+	'<td width="75%" align="left">' + spiel.gClassSname + '<span style="font-weight: lighter;">: ' + spiel.gDate + ' ' +spiel.gTime + '</span>'
								+ 	'<br>' + spiel.gHomeTeam + ' - ' + spiel.gGuestTeam + '</td>'
								+	'<td width="15%" align="center">'+ HB.formatResultGame(spiel, 'ende')  
								+ 	'<br><span style="color: #E0E0E0; font-weight: lighter;">' + HB.formatResultGame(spiel, 'halb')  + '</span></td>'
								+	'</tr></table>'							
								+	'</a>'						

								+	'<div style="padding: 10px;" class="ui-content" data-theme="b" data-role="popup" data-dismissible="false" id="popupInfo_' + spiel.gID + '" >'
								+	'		<a href="#main" data-role="button" data-icon="delete" data-iconpos="notext" class="ui-btn-right">Close</a>'
								+	'		' + HB.makeHalle(spiel).replace(/\\n/g,"<br>")
								+	'		<br><br>'
								+	'		<a onclick="moveToLinkRef(\'|org|\',\'class\',\'' +spiel.gClassID+ '\',\'|org|\',\'0\');" class="aLink ui-link-inherit" data-inline="true" data-role="button" data-transition="slide" data-icon="bars" data-iconpos="left" o_id="0" z_id="|org|" v_id="|org|" t_id="class" w_id="' +spiel.gClassID+ '" >Liga</a>'
								+	'</div>	';
		
							aID[spiel.gID] = 1;
						}
                    });
					
                }
                else {
                    out += '<li>Keine Daten vorhanden</li>';
                }
				out += '</ul>';
                /* ----------------------------
                 * ERGEBNISSE GENERIEREN ENDE */


                /* ********************************** */



                /** PLATZHALTER */
                out += '<br /><br /><br />';
                /** -----------------------*/


                /* ********************************** */


 
                /** HTML AUSGABE ERSTELLEN */
                HB.createListview('#mainJSON', vor+out);
                HB.stopLoading();
                /** ******************************** */

				});

	}
    else if(type == 'classSearch') {

	    HB.showLoading();

		var out = '<br /><ul data-role="listview"><li data-role="list-divider">Suchbegriff</li></ul><br />'+
			'<label for="search_nr">Vereinsnummer</label>'+
			'<input name="search_nr" id="search_nr" type="text" />'+
			'<a data-role="button" id="search_submit">Suchen</a>';


		var sNr = $('#search_nr').val();

		//Suche
		$.getJSON(Config.server,
            {
                format: "json",
				cmd : 'data',
				lvTypePathStr : '',
				lvIDPathStr : '',
				lvTypeNext : 'classSearch',
				lvIDNext : sNr
            }, function(data) {

                $.each(data, function(i,item)
                {
                    lvType = item.lvTypePathStr;
                    lvId = item.lvIDPathStr;
                    lvLabel = item.lvTypeLabelStr;
                    inHalt= item.dataList;
                    errorId = item.errCode;
                });

                out += '<ul id="search_result" data-role="listview" style="display: none;">';

                $.each(inHalt, function(i,item) {
                    out += '<li><a class="aLink" o_id="'+ lvId +'" z_id="'+ lvType +'" v_id="' + item.lvIDNext + '" t_id="' + item.lvTypeNext + '" w_id="' + item.lvIDNext + '">' + item.levelTypeLabel + '</a></li>';
                });

                HB.createListview('#mainJSON', out + '</ul>');
                HB.stopLoading();

			});
	}

});


function SpielSort (a, b) {
	var aDatum;
	var aZeit;
	var datum1;
	var datum2;
	var cKlasse1;
	var cKlasse2;
	
	try {
		if (a === null) {
			return (b === null)?0:1;
		} else {
			if (b === null) return -1;
		}	
		
		if (a.gDate == undefined) {
			aDatum = [31,12,2999];
		} else {
			aDatum = a.gDate.split(".");
		}
		if (a.gTime == undefined) {
			aZeit = [0,0,0];
		} else {
			aZeit = a.gTime.split(":");
		}
		
		datum1 = new Date(aDatum[2], aDatum[1], aDatum[0], aZeit[0], aZeit[1], 0);
		
		if (b.gDate == undefined) {
			aDatum = [31,12,2999];
		} else {
			aDatum = b.gDate.split(".");
		}
		if (b.gTime == undefined) {
			aZeit = [0,0,0];
		} else {
			aZeit = b.gTime.split(":");
		}
		datum2 = new Date(aDatum[2], aDatum[1], aDatum[0], aZeit[0], aZeit[1], 0);
		
		
		if (datum1.getTime() == datum2.getTime()) {
			if (a.gClassSname == undefined) {
				cKlasse1 = a.class_sname;
			} else {
				cKlasse1 = a.gClassSname;
			}
			if (b.gClassSname == undefined) {
				cKlasse2 = b.class_sname;
			} else {
				cKlasse2 = b.gClassSname;
			}
			return (cKlasse1==cKlasse2)?0:((cKlasse1>cKlasse2)?1:-1);
		} else {
			return datum1.getTime() - datum2.getTime();
		}
	} catch (e) {
		return 0;
	}
}