var Config = {
	
	
    serverFeedback: 'php/feed.php?auth=4611',

    //server: 'https://localhost/handball4all/trunk/m/json/',
    //server : 'https://www.handball4all.de/m2/php/spo-proxy_rei.php?jsoncallback=?',
    //server : 'php/spo-proxy.php?jsoncallback=?',
    server: 'https://h4a.it4sport.de/spo/spo-proxy.php?jsoncallback=?',
	
	urlData: 'php/data-proxy.php',
	urlVersion: 'php/version-proxy.php',
	
	debug: false,
	
	scriptPostfix: '',
	
	versionServer: function() {
		
		
		$.ajax({
		  url: this.urlVersion + this.scriptPostfix,
		  dataType: "text",
		  cache: true,
		  timeout: 10000
		})	
		.done(function(data) {
			localStorage.versionServerChange = (data != localStorage.versionServer);
			localStorage.versionServer = data;
		});
		
		
		console.log("versionServer: " + localStorage.versionServer);
		return localStorage.versionServer;
	},
	
	versionServerChange: function() {
		this.versionServer();
		return (localStorage.versionServerChange || localStorage.versionServer == 'undefined');
	},
	
	load: function() {
		var host = window.location.host;
		var serverPrefix = '';
		this.scriptPostfix = '?ver=' + HB.getDate();
		
		
		switch (host) {
			case 'www.handball4all.de':
				serverPrefix = '/m/';
				break;
			case 'www.h4a.mobi':
			case 'm.h4a.mobi':
				serverPrefix = '/';
				break;
			default:
				serverPrefix = 'https://m.h4a.mobi/';
		}
		
		
		
		this.serverFeedback = serverPrefix + this.serverFeedback;
		//this.server  		= serverPrefix + this.server;
		this.urlData  		= serverPrefix + this.urlData;
		this.urlVersion  	= serverPrefix + this.urlVersion;
		
	}
}

